Name: gtk-doc
Version: 1.1
Release: alt2

Summary: API documentation generation tool for GTK+ and GNOME
Group: Development/Other
License: GPL
Url: http://www.gtk.org/rdp/

Requires: docbook-dtds >= 1.0-alt7
Requires: docbook-style-dsssl docbook-style-xsl
Requires: openjade >= 1.3.1
Requires: libxml2 >= 2.3.6
Requires: perl >= 1:5.6.0

Source0: %name-%version.tar.bz2
Source1: %name-buildreqs.ignore-files

BuildArch: noarch

BuildRequires: docbook-dtds >= 1.0-alt7
BuildRequires: perl >= 1:5.6.0
BuildRequires: common-licenses
BuildRequires: docbook-style-xsl libxml2 openjade xml-common xml-utils xsltproc

%description
gtk-doc is a tool for generating API reference documentation.
it is used for generating the documentation for GTK+, GLib
and GNOME.

%prep
%setup -q
# Move this doc file to avoid name collisions
mv doc/README doc/README.docs
ln -sf %_licensedir/GPL-2 COPYING
rm -f examples/*~

%build
%configure
%make_build

%install
%makeinstall
install -d -m755 $RPM_BUILD_ROOT%_datadir/gtk-doc/html
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/buildreqs/files/ignore.d/
install -m644 %SOURCE1 \
         $RPM_BUILD_ROOT%_sysconfdir/buildreqs/files/ignore.d/gtk-doc

%files
%doc AUTHORS ChangeLog README NEWS doc/* examples
%doc --no-dereference COPYING
%_bindir/*
%_datadir/gtk-doc
%_libdir/pkgconfig/*
%_datadir/aclocal/*
%_sysconfdir/buildreqs/files/ignore.d/*

%changelog
* Sat Oct 04 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1-alt2
- Added docbook-style-xsl to BuildRequires
- Added versioned perl dependency

* Wed Apr 30 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.1-alt1
- New version
- Requires docbook-dtds >= 1.0-alt7 which fixed a stupid catalog bug

* Sun Apr 06 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt1
- New version

* Sat Nov 30 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.10-alt1
- 0.10

* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.9-alt5
- rebuild

* Wed May 15 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.9-alt4
- Added /usr/share/bonobo/html/ to buildreq ignores as well

* Tue May 14 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.9-alt3
- Added /usr/share/gnome/html/ to buildreq ignores, as half of uses
  specify this directory for destination/search

* Wed May 08 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.9-alt2
- Added buildreqs ignore stuff
- Added /usr/share/gtk-doc/html/ to the file list
- Require docbook-dtds

* Fri Mar 15 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.9-alt1
- 0.9
- License is GPL
- Removed buildrequires, dependencies on docbook-utils

* Thu May 31 2001 AEN <aen@logic.ru> 0.5.9-alt1
- build for Sisyphus

* Fri Mar 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4b1-1mdk
- added by eric.m.c.declerck@free.fr

* Wed Feb 28 2001 eric.m.c.declerck@free.fr
- compiled for Mandrake

* Tue Jan 16 2001 Tim Waugh <twaugh@redhat.com>
- Replace docbook, sgml-common, and stylesheets requirements with
  docbook-utils requirement.
- Use public identifier in custom stylesheets.

* Thu Dec 14 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Owen Taylor <otaylor@redhat.com>
- Version 0.4b1 (CVS snapshot)

* Fri Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- added Requires

* Fri Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- Initial RPM, version 0.2

